* {
    box-sizing: border-box;
}

select {
    -webkit-appearance: none;
    appearance: none;
}

body {
    margin: 0;
    color: #fff;
    background: #111;
}

.contact_page {
    padding: 100px 20px;
}

.contact_container {
    max-width: 760px;
    margin: 0 auto;
    background: rgba(255, 255, 255, 0.05);
    border: 1px solid #777777;
    border-radius: 16px;
    padding: 40px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.06);
}

.contact_title {
    font-size: 32px;
    font-weight: 700;
    text-align: center;
    margin-bottom: 10px;
}

.contact_lead {
    text-align: center;
    margin-bottom: 30px;
}

.contact_form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.form_group {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.required {
    margin-left: 8px;
    color: #ff5a67;;
    font-size: 11px;
}

input,
select,
textarea {
    width: 100%;
    padding: 14px 16px;
    color: #fff;
    background: rgba(255,255,255,0.05);
    border: 1px solid #777;
    border-radius: 10px;
    font-size: 16px;
    position: relative;
}

.select_wrap{
    position: relative;
}

.select_wrap:after{
    content: '';
    width: 8px;
    height: 8px;
    border: 0;
    border-bottom: solid 1px #e2e2e2;
    border-right: solid 1px #e2e2e2;
    transform: rotate(45deg);
    position: absolute;
    top: -2px;
    right: 18px;
    bottom: 0;
    margin: auto;
}

.select_wrap option{
    background: #292929;
}

textarea {
    resize: vertical;
    min-height: 160px;
}

input:focus,
select:focus,
textarea:focus {
    outline: none;
    border-color: #222;
    box-shadow: 0 0 0 3px rgba(0,0,0,0.1);
}

.form_message {
    font-size: 14px;
    min-height: 20px;
    color: #ff5a67;
}

.error_text {
    margin: 4px 0 0;
    color: #ff5a67;
    font-size: 13px;
    line-height: 1.4;
    min-height: 18px;
}

.input_error {
    border-color: #fff;
}

.notice{
    text-align: center;
}

.notice a{
    text-decoration: underline;
}

.notice a:hover{
    opacity: 0.8;
}

.submit_button {
    border: none;
    background: #fff;
    color: #000;
    padding: 16px;
    border-radius: 999px;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
    transition: 0.2s;
}

.submit_button:hover {
    opacity: 0.8;
}

.submit_button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.thanks_container {
    text-align: center;
}

.thanks_button_wrap {
    margin-top: 32px;
}

.thanks_button {
    display: inline-block;
    text-decoration: none;
    text-align: center;
    min-width: 260px;
}

@media (max-width:768px) {

    .contact_container {
        padding: 30px 20px;
    }

    .contact_title {
        font-size: 26px;
    }

}